package com.gyee.frame.controller.file;

import com.sun.xml.bind.v2.model.core.PropertyInfo;

import javax.servlet.jsp.tagext.TagInfo;
import java.util.List;

/**
 * 升压站图形信息
 *
 * @author xysn
 */
public class ShapeInfo {
    /**
     * 类型
     */
    private String type;
    /**
     * ID
     */
    private String id;
    /**
     * 序号
     */
    private int index;
    /**
     * 名称
     */
    private String name;
    /**
     * 矩形信息
     */
    private RectInfo rect;
    /**
     * 边框宽度
     */
    private double thickness;
    /**
     * 旋转角度
     */
    private float angle;
    /**
     * 填充颜色
     */
    private String fillColor;
    /**
     * 边框颜色
     */
    private String strokeColor;
    /**
     * 圆角半径
     */
    private float cornerRadius;
    /**
     * 是否显示
     */
    private boolean isVisible;
    /**
     * 事件
     */
    private String event;
    /**
     * 文字信息
     */
    private TextInfo textInfo;
    /**
     * 附加信息
     */
    private String tag;
    /**
     * 子图形
     */
    private List<ShapeInfo> subShapes;
    /**
     * 测点信息
     */
    private List<TagInfo> tagInfos;
    /**
     * 属性信息
     */
    private List<PropertyInfo> propertyInfos;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public RectInfo getRect() {
        return rect;
    }

    public void setRect(RectInfo rect) {
        this.rect = rect;
    }

    public double getThickness() {
        return thickness;
    }

    public void setThickness(double thickness) {
        this.thickness = thickness;
    }

    public float getAngle() {
        return angle;
    }

    public void setAngle(float angle) {
        this.angle = angle;
    }

    public String getFillColor() {
        return fillColor;
    }

    public void setFillColor(String fillColor) {
        this.fillColor = fillColor;
    }

    public String getStrokeColor() {
        return strokeColor;
    }

    public void setStrokeColor(String strokeColor) {
        this.strokeColor = strokeColor;
    }

    public float getCornerRadius() {
        return cornerRadius;
    }

    public void setCornerRadius(float cornerRadius) {
        this.cornerRadius = cornerRadius;
    }

    public boolean getIsVisible() {
        return isVisible;
    }

    public void setIsVisible(boolean visible) {
        isVisible = visible;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public TextInfo getTextInfo() {
        return textInfo;
    }

    public void setTextInfo(TextInfo textInfo) {
        this.textInfo = textInfo;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public List<ShapeInfo> getSubShapes() {
        return subShapes;
    }

    public void setSubShapes(List<ShapeInfo> subShapes) {
        this.subShapes = subShapes;
    }

    public List<TagInfo> getTagInfos() {
        return tagInfos;
    }

    public void setTagInfos(List<TagInfo> tagInfos) {
        this.tagInfos = tagInfos;
    }

    public List<PropertyInfo> getPropertyInfos() {
        return propertyInfos;
    }

    public void setPropertyInfos(List<PropertyInfo> propertyInfos) {
        this.propertyInfos = propertyInfos;
    }
}
